# Poco::Net

# class KeyConsoleHandler

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/KeyConsoleHandler.h

## Description

An implementation of PrivateKeyPassphraseHandler that reads the key for a certificate from the console.

## Inheritance

Direct Base Classes: PrivateKeyPassphraseHandler

All Base Classes: PrivateKeyPassphraseHandler

## Member Summary

Member Functions: onPrivateKeyRequested

Inherited Functions: onPrivateKeyRequested, serverSide

## Constructors

### KeyConsoleHandler

KeyConsoleHandler(
bool server
);

Creates the KeyConsoleHandler.

## Destructor

### ~KeyConsoleHandler

~KeyConsoleHandler();

Destroys the KeyConsoleHandler.

## Member Functions

### onPrivateKeyRequested

void onPrivateKeyRequested(
const void * pSender,
std::string & privateKey
);

See also: Poco::Net::PrivateKeyPassphraseHandler::onPrivateKeyRequested()